GDB (xrefs)

Public Member Functions | Private Attributes | List of all members
tee_file Class Reference

`#include "ui-file.h"`

Inheritance diagram for tee_file:

## Public Member Functions
| tee_file (ui_file *one, bool close_one, ui_file *two, bool close_two)
| ~tee_file () override
void | write (const char *buf, long length_buf) override
void | write_async_safe (const char *buf, long length_buf) override
void | puts (const char *) override
bool | isatty () override
void | flush () override
Public Member Functions inherited from ui_file
| ui_file ()
virtual | ~ui_file ()=0
void | printf (const char *,...) ATTRIBUTE_PRINTF(2
void void | putstr (const char *str, int quoter)
void | putstrn (const char *str, int n, int quoter)
int | putc (int c)
void | vprintf (const char *, va_list) ATTRIBUTE_PRINTF(2
virtual long | read (char *buf, long length_buf)

## Private Attributes
ui_file * | m_one
ui_file * | m_two
bool | m_close_one
bool | m_close_two

## Detailed Description

Definition at line 240 of file ui-file.h.

## Constructor & Destructor Documentation

## ◆ tee_file()

tee_file::tee_file | ( | ui_file * | one,
|  | bool | close_one,
|  | ui_file * | two,
|  | bool | close_two
| ) |  |

Definition at line 280 of file ui-file.c.

## ◆ ~tee_file()

tee_file::~tee_file | ( |  | ) |
| override

Definition at line 288 of file ui-file.c.

References m_close_one, m_close_two, m_one, and m_two.

## Member Function Documentation

## ◆ flush()

void tee_file::flush | ( |  | ) |
| override virtual

Reimplemented from ui_file.

Definition at line 297 of file ui-file.c.

References ui_file::flush(), m_one, and m_two.

## ◆ isatty()

bool tee_file::isatty | ( |  | ) |
| override virtual

Reimplemented from ui_file.

Definition at line 325 of file ui-file.c.

References ui_file::isatty(), and m_one.

## ◆ puts()

void tee_file::puts | ( | const char * | linebuffer | ) |
| override virtual

Reimplemented from ui_file.

Definition at line 318 of file ui-file.c.

References m_one, m_two, and ui_file::puts().

## ◆ write()

void tee_file::write | ( | const char * | buf,
|  | long | length_buf
| ) |  |
| override virtual

Implements ui_file.

Definition at line 304 of file ui-file.c.

References m_one, m_two, and ui_file::write().

Referenced by gdb._GdbFile::writelines().

## ◆ write_async_safe()

void tee_file::write_async_safe | ( | const char * | buf,
|  | long | length_buf
| ) |  |
| override virtual

Reimplemented from ui_file.

Definition at line 311 of file ui-file.c.

References m_one, m_two, and ui_file::write_async_safe().

## Member Data Documentation

## ◆ m_close_one

bool tee_file::m_close_one
| private

Definition at line 261 of file ui-file.h.

Referenced by ~tee_file().

## ◆ m_close_two

bool tee_file::m_close_two
| private

Definition at line 261 of file ui-file.h.

Referenced by ~tee_file().

## ◆ m_one

ui_file* tee_file::m_one
| private

Definition at line 260 of file ui-file.h.

Referenced by flush(), isatty(), puts(), write(), write_async_safe(), and ~tee_file().

## ◆ m_two

ui_file * tee_file::m_two
| private

Definition at line 260 of file ui-file.h.

Referenced by flush(), puts(), write(), write_async_safe(), and ~tee_file().

The documentation for this class was generated from the following files:

- /tmp/gdb-8.1/gdb/ui-file.h
- /tmp/gdb-8.1/gdb/ui-file.c